#!/bin/bash
ps=plot.ps
fault_geo1=fault_geo1.dat
fault_geo2=fault_geo2.dat
gps_name=GPS_coseis.dat
cpt=fault_slip.cpt
R=-157/-144/55/62
J=M5i

#######################################################################
# Plot basic picture
#######################################################################
gmt makecpt -Chot.cpt -G0.4/1 -Ic -T0/22 > $cpt
gmt pscoast -R$R -J$J -Bx4 -By2 -Da -G229/195/148 -S156/233/253 -K -P > $ps

#######################################################################
# Plot Fault geometry  
#######################################################################
gmt psxy $fault_geo1 -R$R -J$J  -W0.1p -L -C$cpt -O -K >> $ps
gmt psxy $fault_geo2 -R$R -J$J  -W0.1p -L -C$cpt -O -K >> $ps
gmt psscale -D3.5i/0.5i+w2.5i/0.25i+h+jCT+m -C$cpt \
	    -Bx5+l"Coseismic slip (m)" -O -K -P >> $ps

gmt pscoast -R$R -J$J -Bx4 -By2 -Da -W229/195/148 -O -K -P >> $ps

#######################################################################
# Plot GPS vectors 
#######################################################################
if [ 1 -eq 1 ]; then
    awk '{print $1,$2,$3,$4,$5,$6,0.0}' ${gps_name} |\
    gmt psvelo    -R${R}  -W0.25p,black  -Gblack  -L  -Se0.3c/0.95/25  -J${J} -A0.3c+p1.5p+e -P -V -O -K >> $ps
    
    gmt psvelo <<END  -h2  -R${R}  -W0.25p,black  -Gblack  -L  -Se0.3c/0.95/12 -J${J} -A0.3c+p1.5p+e -P -V -O  >> $ps
         Long.   Lat.   Evel   Nvel   Esig   Nsig  CorEN SITE
          (deg)  (deg)    (m)        (m)
 	  -155.5      61.5     2.0    0      0     0     0     2m
END
fi

#######################################################################
# Convert to png 
#######################################################################
gmt psconvert $ps -A -Tg
rm $ps gmt.* $cpt
